import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class TitleItem extends StatelessWidget {
  final double fontSize;
  final Color color;
  final TextAlign textAlign;
  final String text;
  final bool isTitle;
  final TextOverflow overflow;
  final bool isUnderline;

  TitleItem(this.text,
      {this.fontSize = 35,
      this.textAlign = TextAlign.left,
      this.color = Colors.black,
      this.isTitle = false,
      this.overflow = TextOverflow.fade,
      this.isUnderline = false});

  @override
  Widget build(BuildContext context) => Text(
        this.isTitle ? (this.text).toUpperCase() : this.text,
        style: TextStyle(
            color: color,
            decoration: isUnderline ? TextDecoration.underline : null,
            fontSize: fontSize,
            fontWeight: FontWeight.w900,
            letterSpacing: this.isTitle ? 3 : 0),
        textAlign: textAlign,
        overflow: this.overflow,
      );
}
