import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RoutingService {
  static Future goTo(BuildContext context,
      {@required Widget route,
      bool isFullScreen = true,
      Function onBack(dynamic value)}) async {
    return await Navigator.of(context)
        .push(CupertinoPageRoute(
            fullscreenDialog: isFullScreen, builder: (context) => route))
        .then((dynamic _data) => onBack != null ? onBack(_data) : null);
  }

  static replacementRoute(BuildContext context, {@required Widget route}) {
    return Navigator.pushReplacement(
      context,
      CupertinoPageRoute(
          fullscreenDialog: true,
          builder: (context) => WillPopScope(
                onWillPop: () async => false,
                child: route,
              )),
    );
  }

  static goBack(BuildContext context, {dynamic handle}) =>
      Navigator.pop(context, handle);
}
